/*
 * $Id: VKCSearchQueryDAO.java,v 1.1 2006/09/21 14:14:29 lawern Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * $Log: VKCSearchQueryDAO.java,v $
 * Revision 1.1  2006/09/21 14:14:29  lawern
 * Registrierungen überarbeitet
 *
 */
package vkc.external;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Set;

import org.apache.struts.util.MessageResources;

import vkc.db.entities.VKCSearchQuery;
import vkc.exception.DBException;

public class VKCSearchQueryDAO {
    VKCSearchQuery intSearchQuery; //internes VKCSearchQuery-Objekt

    VKCSearchQueryDAO(VKCSearchQuery intSearchQuery) {
        this.intSearchQuery = intSearchQuery;
    }

    public VKCSearchQueryDAO() {
        this.intSearchQuery = new VKCSearchQuery();
    } 

    public Set getAddDocAttributeKeys() {
        return intSearchQuery.getAddDocAttributeKeys();
    }

    public HashMap getAddDocAttributes() {
        return intSearchQuery.getAddDocAttributes();
    }

    public Integer getAddDocAttrSize() {
        return intSearchQuery.getAddDocAttrSize();
    }

    public Object getAddDocAttrValue(String key) {
        return intSearchQuery.getAddDocAttrValue(key);
    }

    public HashMap getAllAddDocAttributes() throws DBException {
        return intSearchQuery.getAllAddDocAttributes();
    }

    public String getAttributeKeyName(String key) throws DBException {
        return intSearchQuery.getAttributeKeyName(key);
    }

    public Integer getCategoryId() {
        return intSearchQuery.getCategoryId();
    }

    public String getCategoryPath() {
        return intSearchQuery.getCategoryPath();
    }

    public Date getCreationDateFrom() {
        return intSearchQuery.getCreationDateFrom();
    }

    public Date getCreationDateUntil() {
        return intSearchQuery.getCreationDateUntil();
    }

    public List getDocumentClasses() {
        return intSearchQuery.getDocumentClasses();
    }

    public List getDocumentStatus() {
        return intSearchQuery.getDocumentStatus();
    }

    public List getDocumentTypes() {
        return intSearchQuery.getDocumentTypes();
    }

    public Date getFrom() {
        return intSearchQuery.getFrom();
    }

    public String getLocalizedASCIIString(MessageResources resources, Locale locale, boolean renderDate, boolean renderDisplayOptions) throws DBException {
        return intSearchQuery.getLocalizedASCIIString(resources, locale, renderDate, renderDisplayOptions);
    }

    public String getLocalizedHTMLString(MessageResources resources, Locale locale, boolean renderDate, boolean renderDisplayOptions) throws DBException {
        return intSearchQuery.getLocalizedHTMLString(resources, locale, renderDate, renderDisplayOptions);
    }

    public String getQuery() {
        return intSearchQuery.getQuery();
    }

    public HashMap getQueryElements() {
        return intSearchQuery.getQueryElements();
    }

    public String getSearchForAuthor() {
        return intSearchQuery.getSearchForAuthor();
    }

    public String getSearchForCreationDateFrom() {
        return intSearchQuery.getSearchForCreationDateFrom();
    }

    public String getSearchForCreationDateUntil() {
        return intSearchQuery.getSearchForCreationDateUntil();
    }

    public String getSearchForDescription() {
        return intSearchQuery.getSearchForDescription();
    }

    public String getSearchForDynaAttributeNames() {
        return intSearchQuery.getSearchForDynaAttributeNames();
    }

    public String getSearchForDynaAttributeValues() {
        return intSearchQuery.getSearchForDynaAttributeValues();
    }

    public String getSearchForFilename() {
        return intSearchQuery.getSearchForFilename();
    }

    public String getSearchForKeywords() {
        return intSearchQuery.getSearchForKeywords();
    }

    public String getSearchForPublisher() {
        return intSearchQuery.getSearchForPublisher();
    }

    public String getSearchForTitle() {
        return intSearchQuery.getSearchForTitle();
    }

    public String getSearchInAnyField() {
        return intSearchQuery.getSearchInAnyField();
    }

    public String getSearchInFullText() {
        return intSearchQuery.getSearchInFullText();
    }

    public String getSearchQuery() {
        return intSearchQuery.getSearchQuery();
    }

    public String getSelectedCategoryId() {
        return intSearchQuery.getSelectedCategoryId();
    }

    public String getSelectedDocClassId() {
        return intSearchQuery.getSelectedDocClassId();
    }

    public String getSelectedDocStatusId() {
        return intSearchQuery.getSelectedDocStatusId();
    }

    public String getSelectedResultLimitation() {
        return intSearchQuery.getSelectedResultLimitation();
    }

    public String getSelectedSortResults() {
        return intSearchQuery.getSelectedSortResults();
    }

    public Date getUntil() {
        return intSearchQuery.getUntil();
    }

    public Integer getUserId() {
        return intSearchQuery.getUserId();
    }

    public String getValidFrom() {
        return intSearchQuery.getValidFrom();
    }

    public String getValidUntil() {
        return intSearchQuery.getValidUntil();
    }

    public int hashCode() {
        return intSearchQuery.hashCode();
    }

    public boolean isEmpty() {
        return intSearchQuery.isEmpty();
    }

    public void setAddDocAttributes(HashMap m) {
        intSearchQuery.setAddDocAttributes(m);
    }

    public void setAddDocAttrValue(String key, Object value) {
        intSearchQuery.setAddDocAttrValue(key, value);
    }

    public void setQuery(String query) {
        intSearchQuery.setQuery(query);
    }

    public void setQueryElements(HashMap elements) {
        intSearchQuery.setQueryElements(elements);
    }

    public void setSearchForAuthor(String string) {
        intSearchQuery.setSearchForAuthor(string);
    }

    public void setSearchForCreationDateFrom(String s) {
        intSearchQuery.setSearchForCreationDateFrom(s);
    }

    public void setSearchForCreationDateUntil(String s) {
        intSearchQuery.setSearchForCreationDateUntil(s);
    }

    public void setSearchForDescription(String string) {
        intSearchQuery.setSearchForDescription(string);
    }

    public void setSearchForDynaAttributeNames(String string) {
        intSearchQuery.setSearchForDynaAttributeNames(string);
    }

    public void setSearchForDynaAttributeValues(String string) {
        intSearchQuery.setSearchForDynaAttributeValues(string);
    }

    public void setSearchForFilename(String string) {
        intSearchQuery.setSearchForFilename(string);
    }

    public void setSearchForKeywords(String string) {
        intSearchQuery.setSearchForKeywords(string);
    }

    public void setSearchForPublisher(String string) {
        intSearchQuery.setSearchForPublisher(string);
    }

    public void setSearchForTitle(String string) {
        intSearchQuery.setSearchForTitle(string);
    }

    public void setSearchInAnyField(String string) {
        intSearchQuery.setSearchInAnyField(string);
    }

    public void setSearchInFullText(String string) {
        intSearchQuery.setSearchInFullText(string);
    }

    public void setSelectedCategoryId(String string) {
        intSearchQuery.setSelectedCategoryId(string);
    }

    public void setSelectedDocClassId(String string) {
        intSearchQuery.setSelectedDocClassId(string);
    }

    public void setSelectedDocStatusId(String string) {
        intSearchQuery.setSelectedDocStatusId(string);
    }

    public void setSelectedResultLimitation(String string) {
        intSearchQuery.setSelectedResultLimitation(string);
    }

    public void setSelectedSortResults(String string) {
        intSearchQuery.setSelectedSortResults(string);
    }

    public void setUserId(Integer i) {
        intSearchQuery.setUserId(i);
    }

    public void setValidFrom(String string) {
        intSearchQuery.setValidFrom(string);
    }

    public void setValidUntil(String string) {
        intSearchQuery.setValidUntil(string);
    }
}